Subject: RE: [clisp-list] Problem with install.lisp in Windows

From: "Clementson, Bill" <[email-masked]>
Date: Sun Feb 24 11:50:01 2002

Sam Steingold writes:
> <[email-masked]> writes:
> >
> > I tested the new version of the install.lisp program. It 
> creates a batch
> > file that looks like the following:
> > 
> > @echo off
> > "C:\Program Files\clisp-2.27\lisp.exe" -B "C:\Program 
> Files\clisp-2.27\" -M
> > "C:\Program Files\clisp-2.27\lispinit.mem" %1 %2 %3 %4 %5 
> %6 %7 %8 %9
> 
> curse be upon the moron who decided to use #\\ as the pathname
> separator!
> please try the appended patch.
> win32 is supposed to understand the normal slashes as well.

I applied the patch and it generates a batch file that starts up clisp ok. I
ran a few tests and everything seems to work fine now.

> to check the data directory (specified by the -B option) try calling
> BLAHS or describing a UNICODE character.

I don't know what BLAHS is and couldn't find any function or source file
that looked like "BLAHS". Also, I don't know what you mean by "describing a
UNICODE character" (well, more correctly, I know what the words mean, but I
don't know how to do this in Lisp). Can you suggest a couple of test forms
to try?

Thanks for the quick response.

--
Bill Clementson

---

From: Sam Steingold <[email-masked]>
Date: Sun Feb 24 13:01:02 2002

> * In message <[email-masked]>
> * On the subject of "RE: [clisp-list] Problem with install.lisp in Windows"
> * Sent on Sun, 24 Feb 2002 12:48:49 -0700
> * Honorable "Clementson, Bill" <[email-masked]> writes:
>
> I don't know what BLAHS is and couldn't find any function or source
> file that looked like "BLAHS". Also, I don't know what you mean by
> "describing a UNICODE character" (well, more correctly, I know what
> the words mean, but I don't know how to do this in Lisp). Can you
> suggest a couple of test forms to try?

(clhs 'car)
(desccribe (code-char 1234))

-- 
Sam Steingold (http://www.podval.org/~sds) running RedHat7.2 GNU/Linux
Keep Jerusalem united! <http://www.onejerusalem.org/Petition.asp>
Read, think and remember! <http://www.iris.org.il> <http://www.memri.org/>
Cannot handle the fatal error due to a fatal error in the fatal error handler.